# Class: Sequential

## Sequential(opts)

Build a sequence of actions

## Constructor

#### new Sequential(opts)

##### Parameters:

Name | Type | Description
--- | --- | ---

`opts`

Object

options

###### Properties

Name | Type | Description
--- | --- | ---
`steps` | Array.<ImageAugment> | Hasard.<Array.<ImageAugment>> | steps to be run in sequence

Source:
  - sequential.js, line 19

##### Example

    // Simple usage
    const img = cv.imread('lenna.jpg');
    const augmenter = ia.sequential([
    	ia.blur(2),
    	ia.perspectiveTransform(0.2)
    ]);
    const {image} = augmenter.read({images: [img]});